# Page Not Found

The URL `api-documentation/api-methods/download-envelope-documents-archive` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [How to Add an External Document to an Envelope](https://support.docstudio.com/user/external-documents-in-the-envelope/how-to-add-an-external-document-to-an-envelope.md)
- [How to Download a Full Envelope Archive](https://support.docstudio.com/user/sign-and-download-envelopes/how-to-download-print-signed-documents/how-to-download-a-full-envelope-archive.md)
- [How to Delete an Account](https://support.docstudio.com/admin-panel/account-settings/how-to-delete-an-account.md)
- [​How to Find Envelopes That Require Action](https://support.docstudio.com/user/envelopes/how-to-find-envelopes-that-require-action.md)
- [How to Add External Documents to a Template​](https://support.docstudio.com/user/template-builder/template-editor/how-to-add-external-documents-to-a-template.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://support.docstudio.com/user/external-documents-in-the-envelope/how-to-add-an-external-document-to-an-envelope.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://support.docstudio.com/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://support.docstudio.com/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/user/external-documents-in-the-envelope/how-to-add-an-external-document-to-an-envelope.md`).

You may also use `Accept: text/markdown` header for content negotiation.
